Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queries.function.valuesource
Class BytesRefFieldSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.FieldCacheSource
              org.apache.lucene.queries.function.valuesource.BytesRefFieldSource

    public class BytesRefFieldSource

extends FieldCacheSource

An implementation for retrieving `FunctionValues` instances for string based fields.

Field Summary

Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource
`cache, field`

Constructor Summary
`BytesRefFieldSource(String field)`

Method Summary
`FunctionValues` | `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()

Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource
`description, equals, getField, getFieldCache, hashCode`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`createWeight, getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BytesRefFieldSource

    public BytesRefFieldSource(String field)

Method Detail

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.